import { SymbologySettings } from '@scandit/web-datacapture-barcode';
import { nativeHandle } from '@scandit/web-datacapture-core/build/js/private/nativeHandle.js';
import { BarcodeField } from './BarcodeField.js';
import { LabelFieldLocation } from './LabelFieldLocation.js';
import './LabelFieldDefinition.js';
import '@scandit/web-datacapture-core';

declare class CustomBarcode implements BarcodeField {
    private [nativeHandle];
    private _name;
    private _anchorRegexes;
    private _hiddenProperties;
    private _isOptional;
    private _valueRegexes;
    private _symbologies;
    private _location?;
    private constructor();
    get name(): string;
    get anchorRegexes(): string[];
    get isOptional(): boolean;
    get valueRegexes(): string[];
    get symbologies(): SymbologySettings[];
    get location(): LabelFieldLocation | undefined;
    private get hiddenProperties();
    private static forHandle;
}

export { CustomBarcode };
